Subject: As a content manager, I want to list and edit my Content and Domain Objects inside the Management view
Description

Definition of done:

    -  List nodes / domain objects
    -  Pagination of the list
    -  configurable Sorting of the list
    -  configurable filtering or full-text search of the list
    -  create new domain objects
    -  delete nodes / domain objects
    -  edit a single domain object / node
    -  edit multiple nodes / domain objects
        -  change one property in all nodes/domain-objects to the same value
        -  change a set of properties in all nodes/domain objects to different values
    -  use AJAX where appropriate for a smooth user experience
    -  (maybe) create new nodes

we need a generic listing module which is fully adjustable.
It should have a filter tree on the left, and a right area which contains the actual data. This could be a grid, an item-like list, or ...

Subtasks:
Task # 40711: create TYPO3.Expose on git.typo3.org and migrate TYPO3.Admin from mneuhau... Closed
Task # 40922: Rename TYPO3.Admin to TYPO3.Expose in the code Closed
Task # 41106: style forms to be more usable Closed
Task # 41069: Style "node delete" view of Expose Closed
Task # 40703: style node list such that it matches the general backend look&feel Closed
Task # 41110: disable "table" view Closed
Task # 40704: cleanup: remove obsolete code in the package Closed
Task # 41109: style pagination Closed

History
#1 - 2012-08-28 12:18 - Robert Lemke
- File w2_concept_sketch.jpg added
- File inspiration01.jpg added
- File inspiration02.jpg added
- File inspiration03.jpg added
- File inspiration04.jpg added
- File inspiration05.jpg added

w2_concept_sketch is the authoritative example which should be implemented.

#2 - 2012-09-04 14:40 - Sebastian Kurfuerst
- Target version set to Sprint 10 (1.0 TP1)
- Position deleted (17)
- Position set to 1

#3 - 2012-09-04 14:41 - Sebastian Kurfuerst
- Subject changed from Generic data / filter view to [DISCUSS] As a content manager, I want to list and edit my Content and Domain Objects inside the 
Management view
- Position deleted (1)
- Position set to 1

#4 - 2012-09-07 09:23 - Sebastian Kurfuerst
- Subject changed from [DISCUSS] As a content manager, I want to list and edit my Content and Domain Objects inside the Management view to As a 
content manager, I want to list and edit my Content and Domain Objects inside the Management view
- Position deleted (4)
- Position set to 4

#5 - 2012-09-21 18:15 - Sebastian Kurfuerst
- Status changed from New to Postponed
- Position deleted (17)
- Position set to 17

#6 - 2012-09-21 18:15 - Sebastian Kurfuerst
- Position deleted (17)
- Position set to 21
